<form class="{{cssClass}}" autocomplete="off">
    <div class="stickyHeader">
        <header class="sheet-header">
            <div class="header-fields">
                <h1 class="charname flex-container">
                    <img class="profile-img" src="{{item.img}}" data-edit="img" title="{{item.name}}"/>
                    <input name="name" type="text" value="{{item.name}}" placeholder="Name"/>
                </h1>
                <div class="item-resource-container">
                    <div class="item-resource-row">
                        <div class="item-resource">
                            <div class="stat-value-label">
                                <select name="system.rankTitle" data-type="String">
                                    {{#select item.system.rankTitle}}
                                    {{#each item.system.ranks as |ranks key|}}
                                    <option value="{{key}}">{{ranks}}</option> 
                                    {{/each}} {{/select}}
                                </select>
                            </div>
                            <div class="flex-container">
                                <div class="small-text-label">Rank Title</div>
                            </div>
                        </div>
                        <div class="item-resource">
                            <div class="stat-value-label">
                                <input type="text" name="system.location" value="{{item.system.location}}">
                            </div>
                            <div class="flex-container">
                                <div class="small-text-label">HQ Location</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </header>
    
        {{!-- Sheet Tab Navigation --}}
        <nav class="sheet-tabs tabs" data-group="primary">
            <a class="item" data-tab="description">Description</a>
            <a class="item" data-tab="attributes">Attributes</a>
        </nav>
    </div>
    
        {{!-- Sheet Body --}}
        <section class="sheet-body">
    
            {{!-- Description Tab --}}
            <div class="tab" data-group="primary" data-tab="description">
                {{editor item.system.description target="system.description"  button=true owner=owner editable=editable}}
            </div>
    
            {{!-- Attributes Tab --}}
            <div class="tab" data-group="primary" data-tab="attributes">
                <div class="attribute-tab-container">
                    <div class="item-selection-container">
                        <h2>Attributes</h2>
                        <div class="selection-container">
                            <div class="grid-container">
                                <div>Rank 1 Title</div>
                                <div class="right-align-content">
                                    <input type="text" name="system.ranks.rank1" value="{{item.system.ranks.rank1}}"/>
                                </div>
                            </div>
                            <div class="grid-container">
                                <div>Rank 2 Title</div>
                                <div class="right-align-content">
                                    <input type="text" name="system.ranks.rank2" value="{{item.system.ranks.rank2}}"/>
                                </div>
                            </div>
                            <div class="grid-container">
                                <div>Rank 3 Title</div>
                                <div class="right-align-content">
                                    <input type="text" name="system.ranks.rank3" value="{{item.system.ranks.rank3}}"/>
                                </div>
                            </div>
                            <div class="grid-container">
                                <div>Rank 4 Title</div>
                                <div class="right-align-content">
                                    <input type="text" name="system.ranks.rank4" value="{{item.system.ranks.rank4}}"/>
                                </div>
                            </div>
                            <div class="grid-container">
                                <div>Rank 5 Title</div>
                                <div class="right-align-content">
                                    <input type="text" name="system.ranks.rank5" value="{{item.system.ranks.rank5}}"/>
                                </div>
                            </div>
                            <div class="grid-container">
                                <div>Rank 6 Title</div>
                                <div class="right-align-content">
                                    <input type="text" name="system.ranks.rank6" value="{{item.system.ranks.rank6}}"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
</form>
